curl --request PATCH \
--url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contents": "<string>",
"position": 123
}
'import requests
url = "https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}"
payload = {
"contents": "<string>",
"position": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contents: '<string>', position: 123})
};
fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"blueprint_id": "<string>",
"created_at": 123,
"repo_name": "<string>",
"type": "enterprise",
"updated_at": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Den Inhalt und/oder die Position eines Blueprints aktualisieren
Teilaktualisierung für einen einzelnen Blueprint. Löst NICHT automatisch einen Build aus.
Berücksichtigte Felder:
contents— schreibt eine neue YAML-Version für den Blueprint.position— legt die Ausführungsposition des Blueprints auf Repo-Ebene fest. Gibt bei einem Blueprint auf Org-Ebene400zurück (diese haben keine Position).
Gibt 400 zurück, wenn der Request-Body leer ist.
Berechtigungen
ManageRepoBlueprints auf Organisationsebene. Zum Erstellen oder Aktualisieren von Blueprints auf Org-Ebene ist die Berechtigung ManageOrgSnapshots erforderlich.
Verhalten
Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
"org-abc123def456"
Body
Partielle Aktualisierung für ein Blueprint auf Org- oder Repo-Ebene.
Es kann jede beliebige Teilmenge von Feldern angegeben werden. Nicht gesetzte Felder bleiben unverändert.
Wenn position bei einem Blueprint auf Org-Ebene angegeben wird, wird 400 zurückgegeben — nur
Blueprints auf Repo-Ebene haben eine Position. Löst KEINEN Build aus.
Wenn gesetzt, ersetzt dies den YAML-Body des Blueprints durch eine neue Version.
Wenn gesetzt, aktualisiert dies die Ausführungsposition dieses Blueprints auf Repo-Ebene. Positionen müssen nicht eindeutig sein; Gleichstände werden beim Sortieren für die Ausführung vom Server beliebig aufgelöst.
Antwort
Erfolgreiche Antwort
Öffentliches Ressourcenformat für Blueprint.
Hinweis: Das Enum type kann in Zukunft erweitert werden; Clients MÜSSEN unbekannte Werte
robust verarbeiten. Der YAML-Inhalt wird separat über
GET /blueprints/{id}/contents abgerufen.

